=== debian/changelog ===
sword (1.8.1-3) unstable; urgency=high

  * dh_missing fail-missing
  * debian/*install*: install missing files
  * updated patches
  * fixed: useless depends dh-autoreconf
  * fixed: lintian: debian-rules-should-not-use-custom-compression-settings 
    dh_builddeb

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 01 Nov 2018 10:42:56 +0100

sword (1.8.1-2) unstable; urgency=high

  * apply patch for reproducible build, Closes: #912161
  * upstream fixed diatheke bug, Closes: #673033

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 30 Oct 2018 07:36:15 +0100

sword (1.8.1-1) unstable; urgency=high

  * new upstream version 1.8.1
  * remove already applied patches

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 28 Oct 2018 12:10:39 +0100
