## sword 1.8.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sword
 Build-Depends: debhelper (>= 10),
-               cmake,
                libz-dev,
                pkg-config,
                libcurl4-gnutls-dev,
@@ -21,11 +20,13 @@
 Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/sword
 Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/sword.git
 
-Package: libsword11v5
+Package: libsword-1.8.1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libsword-common, ${shlibs:Depends}, ${misc:Depends}
 Recommends: sword-frontend
+Breaks: libsword11v5 (>= 1.8)
+Replaces: libsword11v5 (>= 1.8)
 Multi-Arch: same
 Description: API/library for bible software
  The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
@@ -42,7 +43,7 @@
 Package: libsword-dev
 Architecture: any
 Section: libdevel
-Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libsword-1.8.1 (= ${binary:Version}), ${misc:Depends}
 Recommends: libsword-utils
 Multi-Arch: same
 Description: Development files for libsword
@@ -85,20 +86,6 @@
  This package contains utilities to convert documents in various
  formats into those suitable to be used with SWORD library.
 
-Package: libsword-dbg
-Architecture: any
-Section: debug
-Priority: optional
-Multi-Arch: same
-Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
-Description: API/library for bible software - Debug Files
- The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
- MacOSX etc.) API/library for Bible software with a constantly growing list 
- of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
- text modules.
- .
- This package contains the debug symbols for the libsword library.
-
 Package: diatheke
 Architecture: any
 Section: text
