=== bindings/cordova/Makefile ===
all:
	@echo
	@echo "native binary component is built from ../Android/"
	@echo

clean:
	# these are from ../Android
	rm -rf org.crosswire.sword.cordova.SWORD/libs/android/*
	rm org.crosswire.sword.cordova.SWORD/src/android/AndroidMgr.java org.crosswire.sword.cordova.SWORD/src/android/InstallMgr.java org.crosswire.sword.cordova.SWORD/src/android/SWMgr.java org.crosswire.sword.cordova.SWORD/src/android/SWModule.java
