=== debian/changelog ===
sword (1.8.1+dfsg-8build3) focal; urgency=medium

  * No-change rebuild against libicu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 18:31:21 +0000

sword (1.8.1+dfsg-8build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:44:08 +0100

sword (1.8.1+dfsg-8build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:20:37 +0000

sword (1.8.1+dfsg-8) unstable; urgency=medium

  * Breaks/Replaces on libsword11v5 >= 1.8, Closes: #913407
      Thanks to Andreas Beckmann
  * Patch to build against libicu63, Closes: #913511
      Thanks to László Böszörményi the icu maintainer for the patch
  * 1.8.1+dfsg-1 made build reproducible again, Closes: #912161
      was fixed in the fix for 913076
      Thanks to Chris Lamb for the earlier reproducibility patch
  * let's get back to consecutive version numbers ;)
  * transition in progress, apologies for not notifying the
      release team - only xiphos and bibletime affected

 -- Daniel Glassey <wdg@debian.org>  Mon, 12 Nov 2018 23:05:48 +0700

sword (1.8.1+dfsg-7) unstable; urgency=medium

  * debian/python-sword.install: removed

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 10 Nov 2018 15:10:09 +0100

sword (1.8.1+dfsg-1) experimental; urgency=medium

  [ Daniel Glassey ]
  * import dfsg version of upstream source
  * transition 1.8.1 into unstable
  * adjust installed utilities in libsword-utils
      according to upstream recommendations, Closes: #913076

  [ Teus Benschop ]
  * refactor existing patches

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 10 Nov 2018 14:58:48 +0100

sword (1.8.1-6) experimental; urgency=medium

  * ran into dgit problems

 -- Daniel Glassey <wdg@debian.org>  Sat, 03 Nov 2018 15:05:44 +0700

sword (1.8.1-5) experimental; urgency=medium

  * lintian prefers libsword-1.8.1 as package name

 -- Daniel Glassey <wdg@debian.org>  Sat, 03 Nov 2018 13:35:15 +0700

sword (1.8.1-4) experimental; urgency=medium

  * d/watch file to use https
  * d/control don't need libsword-dbg any more
      remove dep on cmake
  * d/rules remove unused overrides
      don't run usrinst or autogen
  * new lib so version
      d/control rename lib package to libsword1.8.1
      rename d/libsword11v5.* to 1.8.1
  * d/patches
      0005-untgz-sprintf.patch to remove strtime
      0006-powerpc64.patch to build on powerpc64
      0007-gbfwordjs.patch unlikely overflow
  * for transition

 -- Daniel Glassey <wdg@debian.org>  Fri, 02 Nov 2018 10:19:32 +0700
