=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	       perl
 Section: libs
 Priority: optional
-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Dimitri John Ledkov <xnox@debian.org>,
  Jonathan Marsden <jmarsden@fastmail.fm>,
