=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 DH_VERBOSE := 1
-ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
+#ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
 ver:=$(shell dpkg-parsechangelog | sed -nr "2s/Version: (.*)-.*/\1/p")
-bd :=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+#bd :=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 WFLAGS   := -Wall
@@ -11,16 +11,14 @@
 
 %:
 	dh $@ --with autoreconf
-override_dh_auto_configure:
-	./usrinst.sh
-	./autogen.sh 
-	dh_auto_configure
+
+
 debian/man/%.1: debian/man/%.1.pod
 	pod2man --release="SWORD $(ver)" --center "Sword Module Utilities" $< > $@
+
 override_dh_auto_build: $(basename $(wildcard debian/man/*.pod))
 	dh_auto_build
-override_dh_auto_install:
-	dh_auto_install
+
 override_dh_install:
 	-chrpath -d debian/tmp/usr/bin/*
 	-chrpath -d debian/tmp/usr/lib/*so*
@@ -33,12 +31,10 @@
 	-chmod -x debian/libsword-common/usr/share/sword/locales.d/*
 	# Remove empty directory: usr/share/sword/modules
 	-rmdir debian/libsword-common/usr/share/sword/modules
-override_dh_strip:
-	dh_strip --dbg-package=libsword-dbg
-override_dh_makeshlibs:
-	dh_makeshlibs
+
 override_dh_clean:
 	dh_clean $(patsubst %.pod, %, $(wildcard debian/man/*.pod))
+
 override_dh_missing:
 	dh_missing --fail-missing
