=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
  https://www.crosswire.org/ftpmirror/pub/sword/source/v([\d\.]+)/sword-(.*)\.tar\.gz \
debian ./debian/dfsg.sh
